# org.pdfclown.documents.contents.ResourceItems< TValue > Class Template Reference

Collection of a specific resource type. More...

Inheritance diagram for org.pdfclown.documents.contents.ResourceItems< TValue >:

List of all members.

## Public Member Functions
void | Add (PdfName key, TValue value)
void | Clear ()
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
bool | ContainsKey (PdfName key)
void | CopyTo (KeyValuePair< PdfName, TValue >[] entries, int index)
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
PdfName | GetKey (TValue value)
bool | Remove (KeyValuePair< PdfName, TValue > entry)
bool | Remove (PdfName key)
bool | TryGetValue (PdfName key, out TValue value)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
| ResourceItems (Document context)
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
abstract TValue | Wrap (PdfDirectObject baseObject)
| Wraps a base object within its corresponding high-level representation.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
int | Count`[get]`
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
bool | IsReadOnly`[get]`
ICollection< PdfName > | Keys`[get]`
TValue | this [PdfName key]`[get, set]`
ICollection< TValue > | Values`[get]`

##

### template<TValue>
class org::pdfclown::documents::contents::ResourceItems< TValue >

Collection of a specific resource type.

Type Constraints

  TValue | : | PdfObjectWrapper |

## Constructor & Destructor Documentation

template<TValue >

org.pdfclown.documents.contents.ResourceItems< TValue >.ResourceItems | ( | Document | context | ) | `[protected]`

## Member Function Documentation

template<TValue >

void org.pdfclown.documents.contents.ResourceItems< TValue >.Add | ( | PdfName | key,
|  | TValue | value |
| ) |  |  |

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

template<TValue >

void org.pdfclown.documents.contents.ResourceItems< TValue >.Clear | ( |  | ) |

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

template<TValue >

bool org.pdfclown.documents.contents.ResourceItems< TValue >.ContainsKey | ( | PdfName | key | ) |

template<TValue >

void org.pdfclown.documents.contents.ResourceItems< TValue >.CopyTo | ( | KeyValuePair< PdfName, TValue >[] | entries,
|  | int | index |
| ) |  |  |

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

template<TValue >

PdfName org.pdfclown.documents.contents.ResourceItems< TValue >.GetKey | ( | TValue | value | ) |

Gets the key associated to a given value.

template<TValue >

bool org.pdfclown.documents.contents.ResourceItems< TValue >.Remove | ( | KeyValuePair< PdfName, TValue > | entry | ) |

template<TValue >

bool org.pdfclown.documents.contents.ResourceItems< TValue >.Remove | ( | PdfName | key | ) |

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

template<TValue >

bool org.pdfclown.documents.contents.ResourceItems< TValue >.TryGetValue | ( | PdfName | key,
|  | out TValue | value |
| ) |  |  |

template<TValue >

abstract TValue org.pdfclown.documents.contents.ResourceItems< TValue >.Wrap | ( | PdfDirectObject | baseObject | ) | `[protected, pure virtual]`

Wraps a base object within its corresponding high-level representation.

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

template<TValue >

int org.pdfclown.documents.contents.ResourceItems< TValue >.Count`[get]`

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

template<TValue >

bool org.pdfclown.documents.contents.ResourceItems< TValue >.IsReadOnly`[get]`

template<TValue >

ICollection<PdfName> org.pdfclown.documents.contents.ResourceItems< TValue >.Keys`[get]`

template<TValue >

TValue org.pdfclown.documents.contents.ResourceItems< TValue >.this[PdfName key]`[get, set]`

template<TValue >

ICollection<TValue> org.pdfclown.documents.contents.ResourceItems< TValue >.Values`[get]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.